// VARIABLES GLOBALES
var pagina = 'intro';
var modulo;
var leccion;
var indiceModulo;
var indiceLeccion;

window.addEventListener('DOMContentLoaded', function() {
  load();
  var open = true;
  var abrirMenu = false;
  var mostrarMenuResponsive = false;

  /*MEDIDA DEL MENU LATERAL SEGUN LA PANTALLA DEL NAVEGADOR*/
  $(window).on('resize', actualizarTamano());

  function actualizarTamano() {
    var altoNavegador = $(window).height();
    var posicionMenuLat = $('.menu-lateral-1').offset();
    var posicionContPpal = $('.contenido-principal-1').offset();
    var posicionMenuX = posicionMenuLat.left;
    var posicionMenuY = posicionMenuLat.top;
    var posicionContPpalY = posicionContPpal.top;
    $('.menu-lateral-1').height(altoNavegador - posicionMenuY);
    $('.contenido-principal-1').height(altoNavegador - posicionContPpalY - 20);
  }

  /*--------------------------------------------------------------------------*/

  /*ABRIR Y CERRAR MENU*/
  $('#guardarMenu').click(function() {
    if (!abrirMenu) {
      /* ABRIR */
      $('.menu-lateral-1').removeClass('col-sm-4 col-md-3 col-lg-3').addClass('col-xs-1 col-sm-2 col-md-1 col-lg-1');
      $('.contenido-principal-1').removeClass('col-xs-12 col-sm-8 col-md-9 col-lg-9').addClass('col-xs-11 col-sm-10 col-md-11 col-lg-11');
      $('.cabecera-menu-1 .cajon-texto-1').hide();
      $(this).removeClass('col-sm-4 col-md-3 col-lg-3').addClass('col-sm-12 col-md-12 col-lg-12');
      $('#iconoGuardar').css('transform', 'rotate(180deg)');

      /*CAMBIAR CONTENIDO DEL MENU*/
      $('.temas-menu-lateral-1').hide();
      $('.iconosMenuLateral').show();
    } else {
      /* CERRAR */
      $('.menu-lateral-1').removeClass('col-xs-1 col-sm-2 col-md-1 col-lg-1').addClass('col-sm-4 col-md-3 col-lg-3');
      $('.contenido-principal-1').removeClass('col-xs-11 col-sm-10 col-md-11 col-lg-11').addClass('col-xs-12 col-sm-8 col-md-9 col-lg-9');
      $('.cabecera-menu-1 .cajon-texto-1').show();
      $(this).removeClass('col-sm-12 col-md-12 col-lg-12').addClass('col-sm-4 col-md-3 col-lg-3');
      $('#iconoGuardar').css('transform', 'rotate(0deg)');
      $('.temas-menu-lateral-1').show();
      $('.iconosMenuLateral').hide();
    }
    abrirMenu = !abrirMenu;
  });

  /*ABRIR Y CERRAR MENU RESPONSIVE*/ /*ORGANIZAR*/

  $('#btnabrirMenuR').click(function() {
    if (!mostrarMenuResponsive) {
      $('.menu-lateral-1').removeClass('hidden-xs');
      $('.menu-lateral-1').addClass('col-xs-12');
      $(this).css('font-size', '2.5em');
    } else {
      $('.menu-lateral-1').removeClass('col-xs-12');
      $('.menu-lateral-1').addClass('hidden-xs');
      $(this).css('font-size', '3em');
    }
    mostrarMenuResponsive = !mostrarMenuResponsive;
  });

  /*ABRIMOS LOS MODULOS PARA VER EL CONTENIDO*/

  $('.tema-grupo-leccion-1').not('#temasModuloi').hide();
  $('.tema-modulo-1').click(function (e) {
    e.preventDefault();
    if ($(this).hasClass('act')) {
      $(this).removeClass('act').removeClass('moduloSelect');
      $(this).find('.flechaDespliegue').removeClass('fa-minus').addClass('fa-plus');
      $(this).siblings('.tema-grupo-leccion-1').slideUp(400);
    } else {
      $('.tema-grupo-leccion-1').slideUp(400);
      $('.tema-modulo-1').removeClass('act').removeClass('moduloSelect');
      $(this).addClass('act').addClass('moduloSelect');
      $('.tema-modulo-1').find('.flechaDespliegue').removeClass('fa-minus').addClass('fa-plus');
      $(this).find('.flechaDespliegue').removeClass('fa-plus').addClass('fa-minus');
      $(this).siblings('.tema-grupo-leccion-1').slideDown(400);
    }
  });

  /*DAMOS CLICK A CADA LECCION PARA CARGAR EL CONTENIDO*/ /*LOS ARCHIVOS DEBEN LLEVAR EL MISMO NOMBRE CON EL CUAL ESTAN LOS ID'S DE LOS BOTONES DE CARGA EJEMPLO: BOTON Introduccion ID: intro, archivo php = intro.php*/

  $('.seccion-leccion').click(function() {
    leccion = $(this).attr('id');
    $('#btnabrirMenuR').trigger('click');
    cargarLeccion(leccion);

    var offset = $('.header').offset().top;
    setTimeout(function() {
      $('html, body').animate({ scrollTop: offset });
    }, '400');
  });
});

/*FUNCION QUE HACE LA BUSQUEDA Y EL LLAMADO DE LOS ARCHIVOS PHP
*/
var loadView = (function() {

  function loadView(_root) {
    this._root = _root;
  }

  loadView.prototype.load = function(path, callback) {
    var _self = this;
    $.ajax({
      url: path,
      type: 'GET',
      beforeSend: function() {
        _self._root.html('<div class="row"><div class="col-xs-12 col-sm-12 col-md-4 col-lg-4 col-md-offset-4 col-lg-offset-4"><i class="fas fa-circle-notch fa-spin"></i></div></div>');
      },
      success: function(resp) {
        _self._root.html(resp);

        if (callback != undefined)
          callback();
      },
      error: function(xhr, status) {
        _self._root.html(
          '<div class="row"><div class="col-xs-12 col-sm-12 col-md-12 col-lg-12"><p class="text-center notificacion"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i></p><br><p class="text-center texto-notificacion">Contenido no encontrado</p></div></div>');
      },

    })
  }

  return loadView;

})();

function load() {
  loader = new loadView($(".contenido-principal-1"));
  get(pagina);
}

function get(ind) {
  loader.load(ind + ".html", completeSucces);
}

function completeSucces() {
  _sco.preparar();
  validarDOM();
}

/*---------------------------------------------------------------*/

/*FUNCION PARA LA CARGA DEL CADA LECCION*/

function cargarLeccion(lec) {
  _sco.leccion = lec;
  $('.tema-menu, .seccion-leccion').removeClass('seleccionada');
  $('#' + lec).addClass('seleccionada');
  get(lec);
  var offset = $('.header').offset().top;
  setTimeout(function() {
    $('html, body').animate({ scrollTop: offset });
  }, '400');
}

/*FUNCION DE INTERACCION DEL CONTENIDO DE CADA PAGINA*/

function validarDOM() {
  switch (pagina) {}
}
